#include <stdio.h>
#include <stdint.h>
#include "bits.h"
#include "v1.h"

void pos_update_wrapper(int32_t binary, int size, char* target, int* pos) {
	bits_to_ascii(binary,size,target+*pos);
	*pos += size;
}

int bits_to_ascii(int32_t binary, int size, char* target) {
	int i = 0;
	if ( size > sizeof(binary)*8 ) {
		printf("Internal translation error, size exceeds type\n");
		return 1;
	}
	
	for ( i = 0 ; i < size ; i++ ) {
		if ( binary == INVALID_SIGN ) {
			*(target+i) = '0';
			printf("%c",'0');
		} else {
			*(target+i) = ((binary>>(size-i-1))&0x01)+'0';
			printf("%c",((binary>>(size-i-1))&0x01)+'0');
		}
	}
	
	return 0;
}