#ifndef _PRINT_UTILS_H_
#define _PRINT_UTILS_H_
#include "grid.h"
#include "cell.h"
#include "rc_manager.h"
#include "memory.h"


void print_grid(struct grid_cell* NW_corner);
void print_grid_cell(struct grid_cell* gcell);
void print_cell(cell_info* cell);
void draw_grid(struct grid_cell* NW_corner);

void print_rc_managers(struct rc_manager* list);
void dump_memory(uint8_t* memory_base);

void print_memory_rc_managers(struct mem_interface_rc* list);
void print_memory_units(struct mem_interface_rc* list);

void draw_complete_grid(struct grid_cell* NW_corner, 
			struct mem_interface_rc *mem);

void print_counters(struct counters* cnt);


#endif /* !_PRINT_UTILS_H_ */