#ifndef _GRID_H_
#define _GRID_H_

#include "cell.h"
#include "counters.h"

//#define DATA_TRANSFER_TICKS 8

struct grid_cell{
	int x;
	int y;
	cell_info cell;
	struct grid_cell* east;
	struct grid_cell* south;
};

int grid_create(int x, int y, struct grid_cell** NW_corner);
void grid_internal_register_transfer(struct grid_cell* NW_corner);
void grid_tick(struct grid_cell* NW_corner, struct counters* cnt);
void grid_free(struct grid_cell** NW_corner);

#endif
