#!/bin/bash

MODE=m
ADDR_WIDTH=8
CFG_SIZE=1
WD=$(pwd)
make clean

mkdir build_results

for i in $(seq 3 18); do
	cd roms; ./romgen $MODE $ADDR_WIDTH $CFG_SIZE $i
	if [ $? -ne 0 ]; then
		echo "rom generation failed"
		exit -2
	fi
	cd $WD
	make SIZE=$i
	mkdir build_results/result_$(printf "%02d" $i)
	cp *.xst *.ngc *.ngd *.ngm *.ncd *.prj *.flw *.opt \
	*.xrpt *.bld *.pad *.par *.map *.mrp *.csv *.pcf *.ptwx *.srp *.twr \
	*.twx *.xpi *.scr *.lst *.his *.log *.txt *.xml *.log *.unroutes \
	xlnx_auto_0_xdb xst build_results/result_$(printf "%02d" $i)
	make clean
done;
