#ifndef _COMPUTE_DEFS_H_
#define _COMPUTE_DEFS_H_

#define ALU_OPERATIONS 8
#define ALU_INPUT 4
#define MD_OPERATIONS 2
#define MD_INPUT 4
#define OUTPUT 5

enum alu_operation {
	alu_add,
	alu_sub,
	alu_slr,
	alu_sll,
	alu_or,
	alu_nor,
	alu_and,
	alu_xor
};

enum alu_input {
	alu_west,
	alu_north,
	alu_state,
	alu_mulout
};

enum md_operation {
	md_mul,
	md_div
};

enum md_input {
	md_west,
	md_north,
	md_state,
	md_aluout
};

enum output {
	out_north,
	out_west,
	out_aluout,
	out_mdout,
	out_state
};

#endif /* _COMPUTE_DEFS_H_ */
