#ifndef _CELL_H_ 
#define _CELL_H_
#include "compute_defs.h"
#include <stdint.h>


struct cell {
	int x,y;
	enum alu_input alu_a;
	enum alu_input alu_b;
	enum alu_operation alu_op;
	enum md_input md_a;
	enum md_input md_b;
	enum md_operation md_op;
	enum output state;
	enum output south;
	enum output east;
	uint16_t do_init;
	int init_value;
	enum write_flags write_policy;
	enum switch_flags sot_eas_sw;
	enum switch_flags eas_sta_sw;
	enum switch_flags sta_sot_sw;
	enum valid_flags south_valid;
	enum valid_flags east_valid;
	enum valid_flags state_valid;
	enum select_flags sel_north;
	enum select_flags sel_west;
};



#endif /* !_CELL_H_ */