#!/bin/bash

GRID_SIZE=$WRPU_X_SIZE

#SIZE LOOP
for i in $(seq 2 $GRID_SIZE); do
	
	if [ $(($GRID_SIZE%$i)) -ne 0 ]; then
		continue;
	fi
	echo $i
	
	make clean
	make GRID_SIZE=$GRID_SIZE CONFIG_SIZE=$i scale_step
	
	if [ $? -ne 0 ]; then
		echo "make scale_step failed"
		exit -2
	fi
	
done


